Bug 8863 - When clearing a patron attribute, they are all cleared
Summary: When clearing a patron attribute, they are all cleared
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-02 14:29 UTC by Fridolin Somers
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (959 bytes, patch)
2012-10-02 14:33 UTC, Fridolin Somers
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8863: When clearing a patron attribute, they are all cleared (1.17 KB, patch)
2012-10-03 13:58 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2012-10-02 14:29:18 UTC
Bug 8431 introduced a small bug in memberentrygen.tt on clear_entry().
When clearing a patron attribute, they are all cleared.
Comment 1 Fridolin Somers 2012-10-02 14:33:03 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-10-03 13:58:54 UTC
Created attachment 12662 [details] [review]
[SIGNED-OFF] Bug 8863: When clearing a patron attribute, they are all cleared

Signed-off-by: Marc Veron <veron@veron.ch>

Tested with a set of 2 additional patron attributes. Cleard both before applying the patch.
Cleared as expected after applying the patch.
Comment 3 Paul Poulain 2012-10-12 19:41:30 UTC
QA comment
 * tiny patch, template only
 * fixes an annoying (but minor, I agree)
 * also tested that an alone attribute is still cleared

passed QA
Comment 4 Paul Poulain 2012-10-12 19:41:44 UTC
Patch pushed to master
Comment 5 Chris Cormack 2012-10-14 07:36:25 UTC
Pushed to 3.8.x will be in 3.8.6